Facing issues while upgrading from 10.1.0-community to 10.5.0-community version

Must-share information (formatted with Markdown):

  • which versions are you using - 10.1.0-communtiy
  • how is SonarQube deployed: Deployment files
  • what are you trying to achieve: trying to upgrade to 10.5.0-communtiy version
  • what have you tried so far to achieve this: we have tried to update the new image and it failed.

When we were trying to upgrade to 10.5.0 version, in the logs we found an error stating that executed rollback on connection org.postgresql.jdbc.PgConnection… due to dirty commit state on close(). Also there was another warning telling the database must be manually upgraded. Please backup the database and browse /setup. Also the pod was not in the running state.

Hi,

In which logs?

And did you?

 
Ann

Hi G Ann,
I am a colleague of Kushal, and we have upgraded this within the EKS cluster we can see pods logs an error stating that the executed rollback. we have taken a snapshot of the database but when we tried to browse /setup it was showing database is up to date.

we tried post upgrade database steps given in your documemts like Vaccum All, reindex, and analyze but still issue persists.

what can we do in this situation now. we tried to upgrade 10.2 also but it was showing same error for that as well.

Thanks,
Alok Rathore

Hi Alok,

Again, where did you see this error? Was it in the DB logs or the SonarQube logs. I suspect the former and can only advise you to talk to your DBA.

The upgrade procedure presupposes you’re starting from a stable DB, and it doesn’t sound like the case here.

 
Ann

hi Ann, we see in Sonarqube pods logs. DB was stable when we started the upgrade and after the upgrade only it was giving this error.

Thanks,
Alok

Hi Alok,

Please provide full logs where you saw the error.

 
Thx,
Ann